AI Context
Operations related to AI Context, the AI settings that provide additional context to AI features at the datamart level, such as the datamart guide and customer context markdown documents.
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/ai_context/datamart_guide/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
textCreate or replace the datamart-guide file content
Success response
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/ai_context/datamart_guide/text HTTP/1.1
Host: api.mediarithmics.local
Content-Type: text/plain
Accept: */*
Content-Length: 6
"text"{
"status": "ok"
}Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/ai_context/datamart_guide/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/ai_context/customer_context/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
textCreate or replace the customer-context file content
Success response
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/ai_context/customer_context/text HTTP/1.1
Host: api.mediarithmics.local
Content-Type: text/plain
Accept: */*
Content-Length: 6
"text"{
"status": "ok"
}Delete the customer-context file content
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/ai_context/customer_context/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/ai_context/datamart_guide/metadata HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"created_by": "text",
"created_ts": 0,
"last_modified_by": "text",
"last_modified_ts": 0
}
}Get the customer-context file metadata
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/ai_context/customer_context/metadata HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"created_by": "text",
"created_ts": 0,
"last_modified_by": "text",
"last_modified_ts": 0
}
}Last updated
Was this helpful?